function test()
{
    this.start_time = 0;
    this.end_time = 0;

	  this.angularSpeed = 0.2; 
    this.lastTime = 0;
    this.cube;
    this.renderer, this.scene, this.camera;
    this.angleChange;

    this.init = function(renderer, camera)
    {      
    
      this.renderer = renderer;
            
      this.camera = camera;
      this.camera.position.z = 800;
      this.scene = new THREE.Scene();

      this.cube = new THREE.Mesh(
      		new THREE.CubeGeometry(200, 200, 200), 
      		new THREE.MeshNormalMaterial()
      );

      this.cube.overdraw = false;
      this.scene.add(this.cube);
    };

    this.setupRenderer = function(){
    
      this.renderer.setClearColor( 0x000000, 0 );
      this.camera.position.z = 800;          
      this.renderer.autoClear = true;
      
    }


    this.render = function(demoFrame)
    {
    	  this.angleChange = this.angularSpeed * demoFrame * 2 * Math.PI / 1000;

        this.cube.rotation.y += demoFrame;
        
        this.renderer.render(this.scene, this.camera);
    }
}